//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WordsBooklet.BusinessLayer.Models
{
    using System;
    using System.Collections.ObjectModel;
    
    public partial class Wordbook
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Wordbook()
        {
            this.NounsHeaders = new ObservableCollection<NounsHeader>();
            this.VariationsHeaders = new ObservableCollection<VariationsHeader>();
            this.VerbsHeaders = new ObservableCollection<VerbsHeader>();
            this.SubWordbooks = new ObservableCollection<Wordbook>();
            this.ExpressionsHeaders = new ObservableCollection<ExpressionsHeader>();
        }
    
        public long Id { get; set; }
        public byte Type { get; set; }
        public string Code { get; set; }
        public string Name { get; set; }
        public bool IsFolder { get; set; }
        public Nullable<long> ParentId { get; set; }
        public byte LevelNumber { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ObservableCollection<NounsHeader> NounsHeaders { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ObservableCollection<VariationsHeader> VariationsHeaders { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ObservableCollection<VerbsHeader> VerbsHeaders { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ObservableCollection<Wordbook> SubWordbooks { get; set; }
        public virtual Wordbook MajorWordbook { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ObservableCollection<ExpressionsHeader> ExpressionsHeaders { get; set; }
    }
}
